﻿/*
 *         Progetto: Determinazione del tempo di esecuzione di un algoritmo
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 07/11/2018
 *  
 *      Descrizione: Determinare il tempo necessario per visualizzare la stringa dell’esempio precedente, 
 *                   nell’ipotesi che la stampa di ogni singolo carattere impieghi un tempo di 5 ms.
 *                   (Algoritmo parallelo con uso della libreria TPL)
 *                   
 */

using System;
using System.Diagnostics;
using System.Threading;
using System.Threading.Tasks;

namespace ParalleloTPL
{
    class ParalleloThread
    {
        static void Main(string[] args)
        {
            Stopwatch watch = new Stopwatch();

            Console.WriteLine("Algoritmo parallelo (uso della libreria TPL)");

            watch.Start();

            Task t = Task.Factory.StartNew(StampaA);

            int j;
            j = 0;
            while (j < 100)
            {
                Console.Write("B");
                Thread.Sleep(10);
                j++;
            }

            t.Wait();

            watch.Stop();
            Console.WriteLine();
            Console.WriteLine("Tempo impiegato [ms]: {0}", watch.ElapsedMilliseconds);

        }

        static void StampaA()
        {
            int i;
            i = 0;
            while (i < 100)
            {
                Console.Write("A");
                Thread.Sleep(10);
                i++;
            }
        }
    }
}
