﻿/*
 *         Progetto: Determinazione del tempo di esecuzione di un algoritmo
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 07/11/2018
 *  
 *      Descrizione: Determinare il tempo necessario per visualizzare la stringa dell’esempio precedente, 
 *                   nell’ipotesi che la stampa di ogni singolo carattere impieghi un tempo di 10 ms.
 *                   (Algoritmo sequenziale)
 *                   
 */

using System;
using System.Diagnostics;
using System.Threading;

namespace Sequenziale
{
    class Sequenziale
    {
        static void Main(string[] args)
        {
            int i, j;
            Stopwatch watch = new Stopwatch();

            Console.WriteLine("Algoritmo sequenziale");

            watch.Start();      // Avvio del cronometro

            i = 0;
            while (i < 100)
            {
                Console.Write("A");
                Thread.Sleep(10);       // Sospende l'esecuzione del codice per 10 ms
                i++;
            }

            j = 0;
            while (j < 100)
            {
                Console.Write("B");
                Thread.Sleep(10);
                j++;
            }

            // Arresto del cronometro e stampa del tempo impiegato

            watch.Stop();   
            Console.WriteLine();
            Console.WriteLine("Tempo impiegato [ms]: {0}", watch.ElapsedMilliseconds);
        }
    }
}
